# Désinstaller les anciennes versions de docker
sudo apt-get remove -y docker-engine docker docker.io containerd runc

# Désinstaller la version snap de docker
sudo snap remove docker

# Ajouter la clé gpg officielle de docker
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo gpg --dearmor -o /etc/apt/keyrings/docker.gpg

# Ajout du dépôt officiel de docker pour ubuntu
echo \
  "deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/ubuntu \
  $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null

# Mise à jour du dépôt de paquets
sudo apt-get update

# installer docker sur ubuntu 22.04 avec bash
sudo apt-get -y install docker-ce docker-ce-cli containerd.io docker-compose-plugin

# Ajouter l'utilisateur actuel au groupe docker
sudo usermod -aG docker $USER
